# Scaleway-Delete-Image-Plugin

Is a plugin for Woodpecker CI to delete an image tag from the Scaleway container
registry.

## Usage

```yaml
delete-tag:
  image: rg.fr-par.scw.cloud/hamburghammer/scaleway-delete-image-plugin
  secrets: [token]
  settings:
    image-name: foo/bar
    tag: latest
    region: fr-par
```

## Configuration

Required options:

| Name       | Description                             |
| ---------- | --------------------------------------- |
| token      | Token for the Scaleway API              |
| image-name | The image which should be deleted       |
| tag        | The tag that should be deleted          |
| region     | The Scaleway region the registry exists |

## LICENSE

The software is licensed under the [MPL-2.0](LICENSE) license.
